Package: grails.validation

## [Java] Interface Constrained

- A interface for something that is constrained by various criteria

  Authors:
    Graeme Rocher
  Since:
    2.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyConstraint(java.lang.String constraintName, java.lang.Object constrainingValue)`
    `` | `java.lang.String` | `getFormat()`
    `` | `java.util.List` | `getInList()` @return Constrains the be within the list of given values
    `` | `java.lang.String` | `getMatches()`
    `` | `java.lang.Comparable` | `getMax()` @return Returns the maximum possible value.
    `` | `java.lang.Integer` | `getMaxSize()`
    `` | `java.lang.Comparable` | `getMin()` @return Returns the minimum possible value.
    `` | `java.lang.Integer` | `getMinSize()`
    `` | `java.lang.Object` | `getNotEqual()`
    `` | `int` | `getOrder()`
    `` | `java.lang.Class` | `getOwner()`
    `` | `java.lang.Class<?>` | `getPropertyType()` @return Returns the propertyType.
    `` | `groovy.lang.Range` | `getRange()` @return Constrains the be within the range of given values
    `` | `java.lang.Integer` | `getScale()`
    `` | `groovy.lang.Range` | `getSize()`
    `` | `boolean` | `hasAppliedConstraint(java.lang.String constraintName)` @param constraintName The name of the constraint to check
    `` | `boolean` | `isBlank()`
    `` | `boolean` | `isCreditCard()`
    `` | `boolean` | `isDisplay()`
    `` | `boolean` | `isEditable()`
    `` | `boolean` | `isEmail()`
    `` | `boolean` | `isNullable()`
    `` | `boolean` | `isPassword()`
    `` | `boolean` | `isUrl()`
    `` | `boolean` | `supportsContraint(java.lang.String constraintName)`

- - ### Method Detail

    - #### public void applyConstraint(java.lang.String constraintName, java.lang.Object constrainingValue)

    - #### public java.lang.String getFormat()

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List getInList()

      Returns:
        Constrains the be within the list of given values

    - #### public java.lang.String getMatches()

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public java.lang.Comparable getMax()

      Returns:
        Returns the maximum possible value.

    - #### public java.lang.Integer getMaxSize()

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public java.lang.Comparable getMin()

      Returns:
        Returns the minimum possible value.

    - #### public java.lang.Integer getMinSize()

    - #### public java.lang.Object getNotEqual()

    - #### public int getOrder()

    - #### public java.lang.Class getOwner()

    - #### public java.lang.Class<?> getPropertyType()

      Returns:
        Returns the propertyType.

    - #### @java.lang.SuppressWarnings("rawtypes") public groovy.lang.Range getRange()

      Returns:
        Constrains the be within the range of given values

    - #### public java.lang.Integer getScale()

    - #### @java.lang.SuppressWarnings("rawtypes") public groovy.lang.Range getSize()

    - #### public boolean hasAppliedConstraint(java.lang.String constraintName)

      Parameters:
        `constraintName` - The name of the constraint to check
      Returns:
        Returns true if the specified constraint name is being applied to this property

    - #### public boolean isBlank()

    - #### public boolean isCreditCard()

    - #### public boolean isDisplay()

    - #### public boolean isEditable()

    - #### public boolean isEmail()

    - #### public boolean isNullable()

    - #### public boolean isPassword()

    - #### public boolean isUrl()

    - #### public boolean supportsContraint(java.lang.String constraintName)